/// <summary> SQLData class establishes connections to the database server and
/// gets the customer data from NorthWind database that comes with SQL server.
/// </summary>
using System;

public class SQLData
{
	public virtual System.Collections.Hashtable CountryCompany
	{
		get
		{
			System.Collections.Hashtable countryCompanyMap = new System.Collections.Hashtable();
			System.Data.OleDb.OleDbCommand stmt = null;
			//UPGRADE_TODO: The equivalent of java.sql.ResultSet must call Close() before performing any other operation with the associated connection. 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="jlca1129"'
			System.Data.OleDb.OleDbDataReader rs = null;
			try
			{
				//Form the SQL query that gets the customer data for a given customerID
				System.String sqlQuery = "Select " + "Country," + "CompanyName " + "From Customers";
				stmt = SupportClass.TransactionManager.manager.CreateStatement(dbCon_);
				System.Data.OleDb.OleDbCommand temp_OleDbCommand;
				temp_OleDbCommand = stmt;
				temp_OleDbCommand.CommandText = sqlQuery;
				rs = temp_OleDbCommand.ExecuteReader();
				while (rs.Read())
				{
					System.String countryId = System.Convert.ToString(rs[("Country")]);
					if (countryCompanyMap.ContainsKey(countryId))
					{
						System.Collections.ArrayList companyList = (System.Collections.ArrayList) countryCompanyMap[countryId];
						companyList.Add(System.Convert.ToString(rs[("CompanyName")]));
					}
					else
					{
						System.Collections.ArrayList companyList = new System.Collections.ArrayList();
						companyList.Add(System.Convert.ToString(rs[("CompanyName")]));
						SupportClass.PutElement(countryCompanyMap, countryId, companyList);
					}
					
				}
				return countryCompanyMap;
			}
			catch (System.Exception ex)
			{
				throw ex;
			}
			finally
			{
				if (rs != null)
					rs.Close();				
			}
		}
		
	}
	internal System.Data.OleDb.OleDbConnection dbCon_ = null;
	
	//Connection string for connecting to local SQL server.
	//It can be changed to point to any other SQL server
	internal System.String conInfo_ = "Provider=SQLOLEDB;Data Source=(local);Initial Catalog=Northwind;User ID=sa;Password=;";
	
	public SQLData()
	{
	}
	
	public virtual void  connectToDB()
	{
		try
		{
			if (dbCon_ == null)
			{
				System.Data.OleDb.OleDbConnection temp_Connection;
				//UPGRADE_TODO: Change connection string to .NET format. 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="jlca1063"'
				temp_Connection = new System.Data.OleDb.OleDbConnection(conInfo_);
				temp_Connection.Open();
				dbCon_ = temp_Connection;
			}
		}
		catch (System.Exception ex)
		{
			throw ex;
		}
	}
	
	
	public virtual System.String[] getCustomerData(System.String companyName)
	{
		System.String[] customerData = new System.String[]{"", "", "", ""};
		
		System.Data.OleDb.OleDbCommand stmt = null;
		//UPGRADE_TODO: The equivalent of java.sql.ResultSet must call Close() before performing any other operation with the associated connection. 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="jlca1129"'
		System.Data.OleDb.OleDbDataReader rs = null;
		try
		{
			//Form the SQL query that gets the customer data for a given customerID
			System.String sqlQuery = "Select " + "ContactTitle," + "ContactName," + "Phone," + "Address " + "From Customers " + "Where " + "CompanyName = '" + escapeSQL(companyName) + "'";
			
			stmt = SupportClass.TransactionManager.manager.CreateStatement(dbCon_);
			System.Data.OleDb.OleDbCommand temp_OleDbCommand;
			temp_OleDbCommand = stmt;
			temp_OleDbCommand.CommandText = sqlQuery;
			rs = temp_OleDbCommand.ExecuteReader();
			if (rs.Read())
			{
				customerData[0] = System.Convert.ToString(rs[("ContactTitle")]);
				customerData[1] = System.Convert.ToString(rs[("ContactName")]);
				customerData[2] = System.Convert.ToString(rs[("Phone")]);
				customerData[3] = System.Convert.ToString(rs[("Address")]);
				
			}
			return customerData;
		}
		catch (System.Exception ex)
		{
			throw ex;
		}
		finally
		{
			if (rs != null)
				rs.Close();			
		}
	}
	
	private System.String escapeSQL(System.String sqlParam)
	{
		if (sqlParam.IndexOf("'") != - 1)
		{
			System.Text.StringBuilder escapedSQLParam = new System.Text.StringBuilder();
			char[] sqlParamArray = sqlParam.ToCharArray();
			 for (int i = 0; i < sqlParamArray.Length; i++)
			{
				if (sqlParamArray[i] == '\'')
					escapedSQLParam.Append("''");
				else
					escapedSQLParam.Append(sqlParamArray[i]);
			}
			
			return escapedSQLParam.ToString();
		}
		else
		{
			return sqlParam;
		}
	}
	
	public virtual void  closeDBConnection()
	{
		try
		{
			if (dbCon_ != null)
				dbCon_.Close();
		}
		catch (System.Exception ex)
		{
			throw ex;
		}
	}
}