using System;
public class SupportClass
{
	public class TransactionManager
	{
		public static ConnectionHashTable manager = new ConnectionHashTable();
			
		public class ConnectionHashTable:System.Collections.Hashtable
		{		
			public System.Data.OleDb.OleDbCommand CreateStatement(System.Data.OleDb.OleDbConnection connection)
			{
				System.Data.OleDb.OleDbCommand command = connection.CreateCommand();
				System.Data.OleDb.OleDbTransaction transaction;
				if (this[connection] != null)
				{
					ConnectionProperties Properties = ((ConnectionProperties) this[connection]);    
					transaction = Properties.Transaction;
					command.Transaction = transaction;									}
				else
				{
					ConnectionProperties TempProp = new ConnectionProperties();
					TempProp.AutoCommit=false;
					TempProp.TransactionLevel = 0;
					command.Transaction = TempProp.Transaction;
					Add(connection, TempProp);					
				}
				return command;
			}
				

			public void Commit(System.Data.OleDb.OleDbConnection connection)
			{
				if (this[connection] != null && ((ConnectionProperties) this[connection]).AutoCommit)
				{
					System.Data.OleDb.OleDbTransaction transaction = ((ConnectionProperties) this[connection]).Transaction;					
					transaction.Commit();					
				}				
			}

			public void RollBack(System.Data.OleDb.OleDbConnection connection)
			{
				if (this[connection] != null && ((ConnectionProperties) this[connection]).AutoCommit)
				{
					System.Data.OleDb.OleDbTransaction transaction = ((ConnectionProperties) this[connection]).Transaction;					
					transaction.Rollback();					
				}				
			}

			public void SetAutoCommit(System.Data.OleDb.OleDbConnection connection, bool boolean)
			{
				if (this[connection] != null)
				{
					ConnectionProperties Properties = ((ConnectionProperties) this[connection]);
					Properties.AutoCommit = boolean;
					if(!boolean)
					{					
						System.Data.OleDb.OleDbTransaction transaction =  Properties.Transaction;
						if (Properties.TransactionLevel == 0)
						{					
							transaction = connection.BeginTransaction();
						}
						else
						{
							transaction = connection.BeginTransaction(Properties.TransactionLevel);					
						}
					}				
				}
				else
				{
					ConnectionProperties TempProp = new ConnectionProperties();
					TempProp.AutoCommit=boolean;
					TempProp.TransactionLevel=0;
					if(boolean)				
						TempProp.Transaction  = connection.BeginTransaction();				
					Add(connection, TempProp);					
				}	
			}

			public System.Data.OleDb.OleDbCommand PrepareStatement(System.Data.OleDb.OleDbConnection connection, string sql)
			{
				System.Data.OleDb.OleDbCommand command = this.CreateStatement(connection);
				command.CommandText = sql;
				return command;
			}

			public System.Data.OleDb.OleDbCommand PrepareCall(System.Data.OleDb.OleDbConnection connection, string sql)
			{
				System.Data.OleDb.OleDbCommand command = this.CreateStatement(connection);
				command.CommandText = sql;
				return command;
			}

			public void SetTransactionIsolation(System.Data.OleDb.OleDbConnection connection, int level)
			{
				if (this[connection] != null)
				{
					ConnectionProperties Properties = ((ConnectionProperties) this[connection]);
					Properties.TransactionLevel = (System.Data.IsolationLevel) level;				
				}				
				else
				{
					ConnectionProperties TempProp = new ConnectionProperties();
					TempProp.AutoCommit=false;
					TempProp.TransactionLevel=(System.Data.IsolationLevel) level;
					Add(connection, TempProp);					
				}

			}
			
			public int GetTransactionIsolation(System.Data.OleDb.OleDbConnection connection)
			{
				if (this[connection] != null)
				{
					ConnectionProperties Properties = ((ConnectionProperties) this[connection]);
					if (Properties.TransactionLevel != 0)
						return (int) Properties.TransactionLevel;					
					else
						return 2;
				}
				else
					return 2;
			}
			
			public bool GetAutoCommit(System.Data.OleDb.OleDbConnection connection)
			{
				if (this[connection] != null)
				{
					return ((ConnectionProperties) this[connection]).AutoCommit;
				}
				else
					return false;
			}

			class ConnectionProperties
			{
				public bool AutoCommit;
				public System.Data.OleDb.OleDbTransaction Transaction;
				public System.Data.IsolationLevel TransactionLevel;
			}

		}
	}


	/*******************************/
	public static System.Object PutElement(System.Collections.Hashtable hashTable, System.Object key, System.Object newValue)
	{
		System.Object element = hashTable[key];
		hashTable[key] = newValue;
		return element;
	}

	/*******************************/
	public static System.Windows.Forms.FormBorderStyle MapFormBorder(int border)
	{
		System.Windows.Forms.FormBorderStyle correctBorder = System.Windows.Forms.FormBorderStyle.None;  
		switch (border) 
		{
			case 2:
				correctBorder = System.Windows.Forms.FormBorderStyle.Fixed3D;
				break;
			case 1:
				correctBorder = System.Windows.Forms.FormBorderStyle.FixedSingle;
				break;
			case 0:
				correctBorder = System.Windows.Forms.FormBorderStyle.None;
				break;
			case 3:
				correctBorder = System.Windows.Forms.FormBorderStyle.FixedDialog;
				break;
			case 5:
				correctBorder = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
				break;
			case 4:
				correctBorder = System.Windows.Forms.FormBorderStyle.Sizable;
				break;
			case 6:
				correctBorder = System.Windows.Forms.FormBorderStyle.SizableToolWindow;
				break;
		}
		return correctBorder;
	}

	/*******************************/
	public static System.Drawing.Font Font(System.Drawing.FontStyle fontStyle, bool italic, bool underline, bool strikeOut, float size, System.Drawing.GraphicsUnit graphicsUnit)
	{
		System.Drawing.FontStyle tempFontStyle;
		System.Drawing.Font tempFont;
		tempFontStyle = System.Drawing.FontStyle.Regular | fontStyle;
		if (italic)
			tempFontStyle = tempFontStyle | System.Drawing.FontStyle.Italic;
		if (underline)
			tempFontStyle = tempFontStyle | System.Drawing.FontStyle.Underline;
		if (strikeOut)
			tempFontStyle = tempFontStyle | System.Drawing.FontStyle.Strikeout;
		tempFont = new System.Drawing.Font(System.Drawing.FontFamily.GenericSansSerif, size, tempFontStyle, graphicsUnit);
		return tempFont;
	}

	public static System.Drawing.Font Font(System.Drawing.FontStyle fontStyle, bool italic, bool underline, bool strikeOut, float size, System.Drawing.GraphicsUnit graphicsUnit, System.String fontName)
	{
		System.Drawing.FontStyle tempFontStyle;
		System.Drawing.Font tempFont;
		tempFontStyle = System.Drawing.FontStyle.Regular | fontStyle;
		if (italic)
			tempFontStyle = tempFontStyle | System.Drawing.FontStyle.Italic;
		if (underline)
			tempFontStyle = tempFontStyle | System.Drawing.FontStyle.Underline;
		if (strikeOut)
			tempFontStyle = tempFontStyle | System.Drawing.FontStyle.Strikeout;
		tempFont = new System.Drawing.Font(fontName, size, tempFontStyle, graphicsUnit);
		return tempFont;
	}

	public static System.Drawing.Font Font(System.Drawing.FontStyle fontStyle, bool italic, bool underline, bool strikeOut, System.Drawing.Font baseFont)
	{
		System.Drawing.FontStyle tempFontStyle;
		System.Drawing.Font tempFont;
		tempFontStyle = System.Drawing.FontStyle.Regular | fontStyle;
		if (italic)
			tempFontStyle = tempFontStyle | System.Drawing.FontStyle.Italic;
		if (underline)
			tempFontStyle = tempFontStyle | System.Drawing.FontStyle.Underline;
		if (strikeOut)
			tempFontStyle = tempFontStyle | System.Drawing.FontStyle.Strikeout;
		tempFont = new System.Drawing.Font(baseFont, tempFontStyle);
		return tempFont;
	}

}
