/// <summary> ViewCustomer shows the customer data for a given customer Id. It gets the data
/// using SQLData class.
/// </summary>
using System;

/// <summary> This class can take a variable number of parameters on the command
/// line. Program execution begins with the main() method. The class
/// constructor is not invoked unless an object of type 'ViewCustomer'
/// created in the main() method.
/// </summary>
public class ViewCustomer:System.Windows.Forms.Form
{
	private void  InitBlock()
	{
		sqlData_ = new SQLData();
		components = new System.ComponentModel.Container();
	}
	//UPGRADE_NOTE: The initialization of  'sqlData_' was moved to method 'InitBlock'. 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="jlca1005"'
	internal SQLData sqlData_;
	
	public ViewCustomer():base()
	{
		InitBlock();
		
		// Required for Visual J++ Form Designer support
		InitializeComponent();
		
		try
		{
			sqlData_.connectToDB();
			populateCustomerTree();
		}
		catch (System.Exception ex)
		{
			
		}
	}
	
	private void  populateCustomerTree()
	{
		System.Windows.Forms.TreeNode rootNode = this.tvCustomer.Nodes.Add("Countries");
		
		System.Collections.Hashtable htCountryCompanyMap = sqlData_.CountryCompany;
		System.Collections.IDictionaryEnumerator dictEnum = htCountryCompanyMap.GetEnumerator();
		while(dictEnum.MoveNext())
		{
			//UPGRADE_TODO: method 'java.util.Enumeration.nextElement' was converted to ' ' which has a different behavior. 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="jlca1073_javautilEnumerationnextElement"'
			System.String countryId = (System.String)dictEnum.Key;
			System.Windows.Forms.TreeNode countryNode = rootNode.Nodes.Add(countryId);
			System.Collections.ArrayList companyList = (System.Collections.ArrayList)dictEnum.Value;
			for (int k = 0; k < companyList.Count; k++)
			{
				System.String comapnyName = (System.String) companyList[k];
				countryNode.Nodes.Add(comapnyName);
			}
		}
	}
	
	/// <summary> ViewCustomer overrides dispose so it can clean up the
	/// component list.
	/// </summary>
	protected  override void  Dispose(bool disposing)
	{
		base.Dispose(true);
		if (disposing)
			if (components != null)
				components.Dispose();
	}
	
	private void  btnOK_click(System.Object source, System.EventArgs e)
	{
		Close();
	}
	
	private void  ViewCustomer_closed(System.Object source, System.EventArgs e)
	{
		try
		{
			sqlData_.closeDBConnection();
		}
		catch (System.Exception ex)
		{
		}
	}
	
	private void  tvCustomer_afterSelect(System.Object source, System.Windows.Forms.TreeViewEventArgs e)
	{
		System.Windows.Forms.TreeNode currentNode = e.Node;
		if (currentNode.Parent != null && currentNode.Parent.Parent != null)
		{
			System.String companyName = currentNode.Text;
			try
			{
				System.String[] customerData = sqlData_.getCustomerData(companyName);
				
				lbCustomerPath.Text = currentNode.Parent.Text + "\\" + companyName;
				edContactTitle.Text = customerData[0];
				edContactName.Text = customerData[1];
				edPhone.Text = customerData[2];
				edAddress.Text = customerData[3];
			}
			catch (System.Exception ex)
			{
			}
		}
	}
	
	/// <summary> NOTE: The following code is required by the Visual J++ form
	/// designer.  It can be modified using the form editor.  Do not
	/// modify it using the code editor.
	/// </summary>
	//UPGRADE_NOTE: The initialization of  'components' was moved to method 'InitBlock'. 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="jlca1005"'
	internal System.ComponentModel.Container components;
	internal System.Windows.Forms.Label lbAddress;
	internal System.Windows.Forms.Label lbPhone;
	internal System.Windows.Forms.Label lbContactTitle;
	internal System.Windows.Forms.Panel pnlRight;
	internal System.Windows.Forms.Label lbContactName;
	internal System.Windows.Forms.TreeView tvCustomer;
	internal System.Windows.Forms.Splitter spTvCustomer;
	internal System.Windows.Forms.TextBox edContactTitle;
	internal System.Windows.Forms.TextBox edContactName;
	internal System.Windows.Forms.TextBox edPhone;
	internal System.Windows.Forms.TextBox edAddress;
	internal System.Windows.Forms.Label lbCustomerPath;
	
	//UPGRADE_TODO: This function is not marked as virtual in the base class. 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="jlca5000"'
	private void  InitializeComponent()
	{
		System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ViewCustomer));
		this.lbAddress = new System.Windows.Forms.Label();
		this.lbPhone = new System.Windows.Forms.Label();
		this.lbContactTitle = new System.Windows.Forms.Label();
		this.pnlRight = new System.Windows.Forms.Panel();
		this.lbCustomerPath = new System.Windows.Forms.Label();
		this.edAddress = new System.Windows.Forms.TextBox();
		this.edPhone = new System.Windows.Forms.TextBox();
		this.edContactName = new System.Windows.Forms.TextBox();
		this.edContactTitle = new System.Windows.Forms.TextBox();
		this.lbContactName = new System.Windows.Forms.Label();
		this.tvCustomer = new System.Windows.Forms.TreeView();
		this.spTvCustomer = new System.Windows.Forms.Splitter();
		this.pnlRight.SuspendLayout();
		this.SuspendLayout();
		// 
		// lbAddress
		// 
		this.lbAddress.Location = new System.Drawing.Point(32, 232);
		this.lbAddress.Name = "lbAddress";
		this.lbAddress.Size = new System.Drawing.Size(72, 12);
		this.lbAddress.TabIndex = 3;
		this.lbAddress.Text = "Address";
		// 
		// lbPhone
		// 
		this.lbPhone.Location = new System.Drawing.Point(32, 176);
		this.lbPhone.Name = "lbPhone";
		this.lbPhone.Size = new System.Drawing.Size(72, 12);
		this.lbPhone.TabIndex = 2;
		this.lbPhone.Text = "Phone";
		// 
		// lbContactTitle
		// 
		this.lbContactTitle.Location = new System.Drawing.Point(32, 64);
		this.lbContactTitle.Name = "lbContactTitle";
		this.lbContactTitle.Size = new System.Drawing.Size(80, 12);
		this.lbContactTitle.TabIndex = 0;
		this.lbContactTitle.Text = "Contact Title";
		// 
		// pnlRight
		// 
		this.pnlRight.Controls.AddRange(new System.Windows.Forms.Control[] {
																			   this.lbCustomerPath,
																			   this.edAddress,
																			   this.edPhone,
																			   this.edContactName,
																			   this.edContactTitle,
																			   this.lbAddress,
																			   this.lbPhone,
																			   this.lbContactName,
																			   this.lbContactTitle});
		this.pnlRight.Dock = System.Windows.Forms.DockStyle.Fill;
		this.pnlRight.Location = new System.Drawing.Point(241, 0);
		this.pnlRight.Name = "pnlRight";
		this.pnlRight.Size = new System.Drawing.Size(289, 363);
		this.pnlRight.TabIndex = 2;
		this.pnlRight.Text = "panel1";
		// 
		// lbCustomerPath
		// 
		this.lbCustomerPath.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
		this.lbCustomerPath.Location = new System.Drawing.Point(32, 24);
		this.lbCustomerPath.Name = "lbCustomerPath";
		this.lbCustomerPath.Size = new System.Drawing.Size(232, 24);
		this.lbCustomerPath.TabIndex = 8;
		// 
		// edAddress
		// 
		this.edAddress.Location = new System.Drawing.Point(32, 248);
		this.edAddress.Name = "edAddress";
		this.edAddress.ReadOnly = true;
		this.edAddress.Size = new System.Drawing.Size(180, 20);
		this.edAddress.TabIndex = 7;
		this.edAddress.Text = "";
		// 
		// edPhone
		// 
		this.edPhone.Location = new System.Drawing.Point(32, 192);
		this.edPhone.Name = "edPhone";
		this.edPhone.ReadOnly = true;
		this.edPhone.Size = new System.Drawing.Size(180, 20);
		this.edPhone.TabIndex = 6;
		this.edPhone.Text = "";
		// 
		// edContactName
		// 
		this.edContactName.Location = new System.Drawing.Point(32, 136);
		this.edContactName.Name = "edContactName";
		this.edContactName.ReadOnly = true;
		this.edContactName.Size = new System.Drawing.Size(180, 20);
		this.edContactName.TabIndex = 5;
		this.edContactName.Text = "";
		// 
		// edContactTitle
		// 
		this.edContactTitle.Location = new System.Drawing.Point(32, 80);
		this.edContactTitle.Name = "edContactTitle";
		this.edContactTitle.ReadOnly = true;
		this.edContactTitle.Size = new System.Drawing.Size(180, 20);
		this.edContactTitle.TabIndex = 4;
		this.edContactTitle.Text = "";
		// 
		// lbContactName
		// 
		this.lbContactName.Location = new System.Drawing.Point(32, 120);
		this.lbContactName.Name = "lbContactName";
		this.lbContactName.Size = new System.Drawing.Size(80, 12);
		this.lbContactName.TabIndex = 1;
		this.lbContactName.Text = "Contact Name";
		// 
		// tvCustomer
		// 
		this.tvCustomer.Dock = System.Windows.Forms.DockStyle.Left;
		this.tvCustomer.ImageIndex = -1;
		this.tvCustomer.Indent = 19;
		this.tvCustomer.Name = "tvCustomer";
		this.tvCustomer.SelectedImageIndex = -1;
		this.tvCustomer.Size = new System.Drawing.Size(240, 363);
		this.tvCustomer.Sorted = true;
		this.tvCustomer.TabIndex = 0;
		this.tvCustomer.Text = "treeView1";
		this.tvCustomer.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.tvCustomer_afterSelect);
		// 
		// spTvCustomer
		// 
		this.spTvCustomer.Location = new System.Drawing.Point(240, 0);
		this.spTvCustomer.Name = "spTvCustomer";
		this.spTvCustomer.Size = new System.Drawing.Size(1, 363);
		this.spTvCustomer.TabIndex = 1;
		this.spTvCustomer.TabStop = false;
		// 
		// ViewCustomer
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(530, 363);
		this.Controls.AddRange(new System.Windows.Forms.Control[] {
																	  this.pnlRight,
																	  this.spTvCustomer,
																	  this.tvCustomer});
		this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
		this.MaximizeBox = false;
		this.Name = "ViewCustomer";
		this.Text = "ViewCustomer";
		this.Closed += new System.EventHandler(this.ViewCustomer_closed);
		this.pnlRight.ResumeLayout(false);
		this.ResumeLayout(false);

	}
	
	/// <summary> The main entry point for the application. 
	/// *
	/// </summary>
	/// <param name="args">Array of parameters passed to the application
	/// via the command line.
	/// 
	/// </param>
	[STAThread]
	public static void  Main(System.String[] args)
	{
		System.Windows.Forms.Application.Run(new ViewCustomer());
	}
}